Kapat
your php installation appears to be missing the mysql extension which is required by wordpress
WordPress 199 0

WordPress hata mesajı – Mysql hatası çözümü

WordPress Hatası

 

your php installation appears to be missing the mysql extension which is required by wordpress.

Bir çok web sitesinin alt yapısını oluşturan wordpress de böyle bir hata alıyorsanız bunun başlıca iki sebebi vardır.

php kurulumunuzda wordpress’in gerektirdiği mysql eklentisi eksik görünüyor.

Eklenti uyumsuzluğu

En son eklediğiniz eklentileri kontrol etmelisiniz. Eğer eklentileriniz php sürümünüz ile uyumlu değilse bu hatayı görmeniz çok olası. En son eklediğiniz eklentileri kaldırarak veya pasif hale getirerek sorunu çözebilirsiniz.

Siteniz çalışmadığı için bu işlemi yapmak için mysql panelini kullanmalısınız.

WordPress uyumsuzluğu

Aynen eklentilerde olduğu gibi kullandığınız wordpress sürümü ile php sürümü uyumsuz olursa your php installation appears to be missing the mysql extension which is required by wordpress. hatasını alabilirsiniz.

Bu sorunu gidermek için cPanel den php sürümünüzü değiştirmeniz gerekiyor. Kullandığınız sürüme göre php sürümü seçeceğiniz için bir kaç deneme ile doğru sürümü bulabilirsiniz.

Eğer güncel sürümlerden bir tanesini kullanıyorsanız Php 7.0 üzeri bir sürüm problemi çözecektir.

Php Sürümü Nasıl Değiştirilir ?

Bilmeyenler için php sürüm değiştirme işlemini anlatayım.

  • İlk olarak cPanel e giriş yapın.
  • Yazılım sekmesine bölümünden Php versiyon belirleme sekmesine giriş yapın.php sürümü nasıl değişir
  • Pencere açıldığı zaman karşınıza php sürümleriniz çıkacak buradan değişiklik yapın.php versiyon seçimi
  • Son olarak ayarlarınızı kaydedin.
  • php son sürümü

Eğer sorun çözülmezse farklı bir php sürümü seçip tekrar deneyin.

 

Bir cevap yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir